Skip to main content
POST
Initiate KYC Verification

Authorizations

Authorization
string
header
required

HTTP Bearer Authentication. Generate a shared token via /authenticate/token, then pass it as Authorization: Bearer <token>.

Path Parameters

tenantId
string
required

Body

multipart/form-data
front
file
required

Front of the identity document (field name front). Max 10 MB. For passport this is the only file.

doc_type
enum<string>
required

Document type being verified.

Available options:
passport,
driving_licence,
national_identity_card,
residence_permit
issuing_country
string
required

3-letter ISO country code.

Required string length: 3
Example:

"ESP"

back
file

Back of the identity document (field name back). Required for all types except passport. Max 10 MB.

Response

KYC initiated successfully

status
enum<string>
Available options:
success
message
string
Example:

"KYC initiated successfully"

data
object